Bug 1007502 - openstack-Cinder: Cinder does not support remote TGT
openstack-Cinder: Cinder does not support remote TGT
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
3.0
x86_64 Linux
unspecified Severity high
: ---
: 5.0 (RHEL 7)
Assigned To: RHOS Maint
Dafna Ron
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 11:27 EDT by Yogev Rabl
Modified: 2016-04-26 20:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 05:19:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 1007496 None None None Never

  None (edit)
Description Yogev Rabl 2013-09-12 11:27:44 EDT
Description of problem:
cannot configure openstack  AIO to work with remote tgt storage.
cinder doesn't trey to connect to the remote server although the iscsi
target directs to the tgt server.

2013-09-12 17:26:35.493 9779 ERROR cinder.brick.local_dev.lvm [req-af7e889e-5989-4f69-90eb-090f96bdd0ea None None] Unable to locate Volume Group cinder-volumes
2013-09-12 17:26:35.494 9779 ERROR cinder.service [req-af7e889e-5989-4f69-90eb-090f96bdd0ea None None] Unhandled exception



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install all the openstack services except cinder with packstack.
2. Install the Cinder manually and configure it according to: http://docs.openstack.org/grizzly/openstack-compute/install/apt/content/cinder-install.html
3. Install and configure a remote TGT server and configure the storage setup according to the same manual.

Actual results:
Error: cinder can't locate the cinder-volumes

Expected results:
an AIO openstack server manages its volumes remotely.

Additional info:
2013-09-12 17:26:34.711 9766 INFO cinder.service [-] Starting 1 workers
2013-09-12 17:26:34.713 9766 INFO cinder.service [-] Started child 9779
2013-09-12 17:26:34.716 9779 AUDIT cinder.service [-] Starting cinder-volume node (version 2013.2)
2013-09-12 17:26:35.086 9779 INFO cinder.openstack.common.rpc.impl_qpid [req-af7e889e-5989-4f69-90eb-090f96bdd0ea None None] Connected to AMQP server on 10.35.104.16:5672
2013-09-12 17:26:35.107 9779 INFO cinder.volume.manager [req-af7e889e-5989-4f69-90eb-090f96bdd0ea None None] Starting volume driver LVMISCSIDriver (2.0.0)
2013-09-12 17:26:35.493 9779 ERROR cinder.brick.local_dev.lvm [req-af7e889e-5989-4f69-90eb-090f96bdd0ea None None] Unable to locate Volume Group cinder-volumes
2013-09-12 17:26:35.494 9779 ERROR cinder.service [req-af7e889e-5989-4f69-90eb-090f96bdd0ea None None] Unhandled exception
2013-09-12 17:26:35.494 9779 TRACE cinder.service Traceback (most recent call last):
2013-09-12 17:26:35.494 9779 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 228, in _start_child
2013-09-12 17:26:35.494 9779 TRACE cinder.service     self._child_process(wrap.server)
2013-09-12 17:26:35.494 9779 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 205, in _child_process
2013-09-12 17:26:35.494 9779 TRACE cinder.service     launcher.run_server(server)
2013-09-12 17:26:35.494 9779 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 96, in run_server
2013-09-12 17:26:35.494 9779 TRACE cinder.service     server.start()
2013-09-12 17:26:35.494 9779 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/service.py", line 385, in start
2013-09-12 17:26:35.494 9779 TRACE cinder.service     self.manager.init_host()
2013-09-12 17:26:35.494 9779 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 170, in init_host
2013-09-12 17:26:35.494 9779 TRACE cinder.service     self.driver.check_for_setup_error()
2013-09-12 17:26:35.494 9779 TRACE cinder.service   File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/lvm.py", line 92, in check_for_setup_error
2013-09-12 17:26:35.494 9779 TRACE cinder.service     raise exception.VolumeBackendAPIException(data=message)
2013-09-12 17:26:35.494 9779 TRACE cinder.service VolumeBackendAPIException: Bad or unexpected response from the storage volume backend API: Volume Group cinder-volumes does not exist
2013-09-12 17:26:35.494 9779 TRACE cinder.service
2013-09-12 17:26:35.508 9766 INFO cinder.service [-] Child 9779 exited with status 2
2013-09-12 17:26:35.508 9766 INFO cinder.service [-] _wait_child 1
2013-09-12 17:26:35.509 9766 INFO cinder.service [-] wait wrap.failed True

Note You need to log in before you can comment on or make changes to this bug.